﻿<%@ Page Title="" Language="C#" MasterPageFile="~/WebsiteMasterPage.master" AutoEventWireup="true" CodeFile="admin_CoursesChart.aspx.cs" Inherits="admin_module_admin_CoursesChart" %>

<asp:Content ID="Content1" ContentPlaceHolderID="headlink" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="hihead" runat="Server">
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="himenu" runat="Server">
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="higlobal" runat="Server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="hislider" runat="Server">
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="hibelowtop" runat="Server">
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="hibodyhead" runat="Server">
</asp:Content>
<asp:Content ID="Content8" ContentPlaceHolderID="hibodywrapper" runat="Server">
    <div class="content">
        <!-- Animated -->
        <div class="animated fadeIn">
            <!-- Widgets  -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body d-flex align-items-center">
                            <h4 class="box-title mr-3">Quản lí Khóa học</h4>

                        </div>
                        <div class="card-body">
                            <div id="_listcate" class="row">
                                <div class="col-sm-3">
                                    <div class="block-widget">
                                        <h5 class="title">Tên danh mục</h5>
                                        <div class="number">20</div>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="block-widget">
                                        <h5 class="title">Tên danh mục</h5>
                                        <div class="number">34</div>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="block-widget">
                                        <h5 class="title">Tên danh mục</h5>
                                        <div class="number">54</div>
                                    </div>
                                </div>
                                <div class="col-sm-3">
                                    <div class="block-widget">
                                        <h5 class="title">Tên danh mục</h5>
                                        <div class="number">28</div>
                                    </div>
                                </div>
                            </div>
                            <!-- Styles -->
                            <style>
                                #chartdiv, #chartTron, #chartdiv2 {
                                    width: 100%;
                                    height: 500px;
                                }
                            </style>
                            <div class="mb-5">
                                <div id="chartdiv2"></div>
                            </div>



                        </div>

                    </div>
                </div>


            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content9" ContentPlaceHolderID="hibodybottom" runat="Server">
</asp:Content>
<asp:Content ID="Content10" ContentPlaceHolderID="hibelowbottom" runat="Server">
</asp:Content>
<asp:Content ID="Content11" ContentPlaceHolderID="hifooter" runat="Server">
    <script type="text/javascript" src="/admin_js/amchart/core.js"></script>
    <script type="text/javascript" src="/admin_js/amchart/charts.js"></script>
    <script type="text/javascript" src="/admin_js/amchart/animated.js"></script>
    <!-- Chart code -->
    <script>
        jQuery(document).ready(function ($) {
            loadCategory(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
            loadCharKhoaHoc(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());

            $('#sltrungtam').change(function () {
                loadCategory(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
                loadCharKhoaHoc(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
            })

            $('#_listcoso').change(function () {
                loadCategory(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
                loadCharKhoaHoc(jQuery('#sltrungtam').val(), jQuery('#_listcoso').val());
            })
        });
        function loadCharKhoaHoc(_idtrungtam, _idbranch) {
            //var url = _apiLink + "/api/latest_users";
            var url = _apiLink + "/class/stats/year_count";

            if (rolesinfologin == "admin") {
                if (_idtrungtam != "0" && _idtrungtam != null && _idtrungtam != "") {
                    url = url + "?orgID=" + _idtrungtam;
                    if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                        url = url + "&branch=" + _idbranch;
                    if (_idtrungtam == "adminbeekid")
                        url = _apiLink + "/class/stats/year_count?adminOwner=true";
                }
            } else {
                if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                    url = url + "?branch=" + _idbranch;
            }
            jQuery.ajax({
                type: "GET",
                url: url,
                headers: { 'Authorization': 'Bearer ' + tokenlogin },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    am4core.ready(function () {

                        // Themes begin
                        am4core.useTheme(am4themes_animated);
                        // Themes end


                        // Create chart instance
                        var chartdiv2 = am4core.create("chartdiv2", am4charts.XYChart);

                        var chartData = {
                            chartDetail: []
                        };
                        jQuery.each(data.data, function (i, item) {
                            chartData.chartDetail.push({
                                "country": "Tháng " + parseInt(item.month + 1),
                                "thucte": item.count,
                            });
                        });
                        // Add data
                        // Add data
                        chartdiv2.data = chartData.chartDetail;

                        // Create axes
                        var categoryAxis = chartdiv2.xAxes.push(new am4charts.CategoryAxis());
                        categoryAxis.dataFields.category = "country";
                        categoryAxis.renderer.grid.template.location = 0;
                        categoryAxis.renderer.minGridDistance = 30;

                        var valueAxis = chartdiv2.yAxes.push(new am4charts.ValueAxis());
                        valueAxis.title.text = "Khóa học";
                        valueAxis.title.fontWeight = 800;

                        // Create series
                        var div2series = chartdiv2.series.push(new am4charts.ColumnSeries());
                        div2series.dataFields.valueY = "thucte";
                        div2series.dataFields.categoryX = "country";
                        div2series.clustered = false;
                        div2series.tooltipText = "Khóa học trong {categoryX}: [bold]{valueY}[/]";

                        chartdiv2.cursor = new am4charts.XYCursor();
                        chartdiv2.cursor.lineX.disabled = true;
                        chartdiv2.cursor.lineY.disabled = true;




                        // Add scrollbar
                        chartdiv2.scrollbarX = new am4core.Scrollbar();
                    }); // end am4core.ready()
                },
                error: function (xhr, status, error) {
                    errShow(xhr);
                }
            })
        }

        function loadCategory(_idtrungtam, _idbranch) {
            //var url = _apiLink + "/api/latest_users";
            var url = _apiLink + "/course/stats/countby_category";

            if (rolesinfologin == "admin") {
                if (_idtrungtam != "0" && _idtrungtam != null && _idtrungtam != "") {
                    url = url + "?orgID=" + _idtrungtam;
                    if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                        url = url + "&branch=" + _idbranch;
                    if (_idtrungtam == "adminbeekid")
                        url = _apiLink + "/course/stats/countby_category?adminOwner=true";
                }
            } else {
                if (_idbranch != "0" && _idbranch != null && _idbranch != "")
                    url = url + "?branch=" + _idbranch;
            }

            jQuery.ajax({
                type: "GET",
                url: url,
                headers: { 'Authorization': 'Bearer ' + tokenlogin },
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    jQuery("#_listcate").empty();
                    var htmlinport = '';
                    jQuery.each(data.data, function (i, item) {
                        htmlinport += "<div class='col-sm-3'>";
                        htmlinport += "<div class='block-widget'>";
                        htmlinport += "<h5 class='title'>" + item.name + "</h5>";
                        htmlinport += "<div class='number'>" + item.count + "</div>";
                        htmlinport += "</div>";
                        htmlinport += "</div>";
                    });
                    jQuery("#_listcate").append(htmlinport);
                },
                error: function (xhr, status, error) {
                    errShow(xhr);
                }
            })
        }
    </script>
</asp:Content>

